import type { Hash } from "@siteimprove/alfa-hash";
import { Parser } from "@siteimprove/alfa-parser";
import { Number } from "../numeric/index.js";
import type { Resolvable } from "../resolvable.js";
import { Function } from "./function.js";
/**
 * @public
 */
export declare class Scale extends Function<"scale", false> implements Resolvable<Scale.Canonical, never> {
    static of(x: Number, y: Number): Scale;
    private readonly _x;
    private readonly _y;
    private constructor();
    get kind(): "scale";
    get x(): Number.Canonical;
    get y(): Number.Canonical;
    resolve(): Scale;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(): Scale.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Scale {
    type Canonical = Scale;
    interface JSON extends Function.JSON<"scale"> {
        x: Number.Fixed.JSON;
        y: Number.Fixed.JSON;
    }
    function isScale(value: unknown): value is Scale;
    const parse: Parser<import("@siteimprove/alfa-slice").Slice<import("../../syntax/token.js").Token>, Scale, string, []>;
}
//# sourceMappingURL=scale.d.ts.map